This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 571057 - profile.d scripts should not be executable
profile.d scripts should not be executable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-06 12:18 EST by Ville Skyttä
Modified: 2010-10-29 10:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: kde-settings-4.4-15.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 10:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2010-03-06 12:18:52 EST
Scripts in /etc/profile.d are sourced, not executed, so they should not be executable.  Probably best fixed directly in svn (svn propdel svn:executable ... I believe).

$ rpmls http://kojipkgs.fedoraproject.org/packages/kde-settings/4.3/18/noarch/kde-settings-4.3-18.noarch.rpm | grep -F profile.d
-rwxr-xr-x  /etc/profile.d/kde.csh
-rwxr-xr-x  /etc/profile.d/kde.sh
-rwxr-xr-x  /etc/profile.d/kmix_pulseaudio_disable.csh
-rwxr-xr-x  /etc/profile.d/kmix_pulseaudio_disable.sh
Comment 1 Fedora Update System 2010-04-23 09:11:06 EDT
kde-settings-4.4-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kde-settings-4.4-15.fc13
Comment 2 Fedora Update System 2010-04-25 10:00:22 EDT
kde-settings-4.4-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-settings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kde-settings-4.4-15.fc13
Comment 3 Bug Zapper 2010-07-30 06:59:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.